<template>
<div>
    <nuxt/>
</div>
</template>

<script>
import { mapState } from 'vuex'

const checkLogin = (store) => store.dispatch('CHECK_LOGIN')

export default {
    computed: mapState({
        isAuthenticating: (state) => state.auth.isAuthenticating,
        isAuthenticated: (state) => state.auth.authenticated
    }),
    beforeMount () {
        checkLogin(this.$store)
    }
}
</script>

<style>

</style>